Name:           selene
Version:        17.7
Release:        1%{?dist}
Summary:        GUI audio-video converter for GNU/Linux
License:        GPLv3+
URL:            https://github.com/teejee2008/selene
Source:         https://github.com/teejee2008/selene/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE selene-fix-makefile.patch sor.alexei@meowr.ru -- Various Makefile fixes.
Patch0:         %{name}-fix-makefile.patch
# PATCH-FIX-UPSTREAM selene-fix-abstract.patch
Patch1:         %{name}-fix-abstract.patch
BuildRequires:  gettext
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  desktop-file-utils
Requires:       coreutils
Requires:       ffmpeg
Requires:       lame
Requires:       mediainfo
Requires:       mkvtoolnix
Requires:       mpv
Requires:       rsync
Requires:       vorbis-tools
Requires:       x264
Recommends:     %{name}-lang
Recommends:     gpac
Recommends:     opus-tools
Recommends:     sox
Recommends:     vpx-tools
Recommends:     x265

%description
Utility for converting audio and video files to OGV, MKV, MP4,
WebM, Opus, AAC, FLAC, MP3, and WAV formats. Provides a simple GUI
for converting files to popular formats with powerful command-line
options for automated/unattended encoding.

%prep
%autosetup -p1
# Use ffmpeg instead of libav in scripts.
find src/share/selene/scripts/ -type f | while read file; do
    sed -i 's/avconv/ffmpeg/g' "$file"
done

%build
%make_build V=1 \
  CFLAGS="%{optflags}"

%install
%make_install \
  prefix=%{_prefix}

# Permission correction
#selene.x86_64: E: non-standard-dir-perm /usr/share/selene/images 775
#selene.x86_64: E: non-standard-dir-perm /usr/share/selene/presets 775
#selene.x86_64: E: non-standard-dir-perm /usr/share/selene/presets/free formats 775
#selene.x86_64: E: non-standard-dir-perm /usr/share/selene/scripts 775
chmod 0755 %{buildroot}/%{_datadir}/%{name}/{images,presets,scripts}
chmod 0755 %{buildroot}/%{_datadir}/%{name}/presets/"free formats"

# Remove the uninstaller.
rm %{buildroot}%{_bindir}/%{name}-uninstall

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Feb 24 2021 Martin Gansser <martinkg@fedoraproject.org> - 17.7-1
- Initial build
